Skip to main content

Download last run's default store's records

GET 

/v2/actors/:actorId/runs/last/key-value-store/records

Downloads all records from the default key-value store of the last Actor run as a ZIP archive.

This endpoint is a shortcut for getting the last run's defaultKeyValueStoreId and then using the Download records endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

    collection string

    If specified, only records belonging to a specific collection from the key-value store schema. The key-value store need to have a schema defined for this parameter to work.


    Example: my-collection
    prefix string

    If specified, only records whose key starts with the given prefix are included in the archive.


    Example: my-prefix/
    signature string

    Signature used for the access.


    Example: 2wTI46Bg8qWQrV7tavlPI

Status 200

A ZIP archive containing the requested records.

Response Headers
    "string"